package org.mentacontainer;

public enum Scope {
	
	/**
	 * The container calls component.get() on every request for the component, returning always new instances.
	 */
	NONE,
	
	/**
	 * The container calls component.get() only once and caches the value, returning always the same instance.
	 */
	SINGLETON,
	
	/**
	 * The container calls component.get() and caches the value on a thread local, so the same thread will always get the same instance.
	 */
	THREAD
}